#ifndef SAM9G25_MFSER_GPIO_H
#define SAM9G25_MFSER_GPIO_H

#include <linux/at91gpio.h>

// M_* for machine specific GPIO pin

// gpio pins for Accessory Card 1
#define M_AP1_GPIO1 AT91_PIN_PC6
#define M_AP1_GPIO2 AT91_PIN_PC7
#define M_AP1_GPIO3 AT91_PIN_PC8
#define M_AP1_GPIO4 AT91_PIN_PC9
#define M_AP1_GPIO3_MTCDT0_2 AT91_PIN_PC10
#define M_AP1_GPIO4_MTCDT0_2 AT91_PIN_PC11
#define M_AP1_NRESET AT91_PIN_PB12
#define M_AP1_NINT1 AT91_PIN_PB14
#define M_AP1_NINT2 AT91_PIN_PB15

// gpio pins for Accessory Card 2
#define M_AP2_GPIO1 AT91_PIN_PC20
#define M_AP2_GPIO2 AT91_PIN_PC21
#define M_AP2_GPIO3 AT91_PIN_PC22
#define M_AP2_GPIO4 AT91_PIN_PC23
#define M_AP2_GPIO3_MTCDT0_2 AT91_PIN_PC30
#define M_AP2_GPIO4_MTCDT0_2 AT91_PIN_PC29
#define M_AP2_NRESET AT91_PIN_PB13
#define M_AP2_NINT1 AT91_PIN_PB17
#define M_AP2_NINT2 AT91_PIN_PB18
#endif  /* SAM9G25_MFSER_GPIO_H */
